> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Example Payload

> Get example records for a trigger configuration.



## OpenAPI

````yaml /actionkit/triggers/openapi.json POST /projects/{project_id}/triggers/examples
openapi: 3.0.0
info:
  title: Triggers API
  version: 1.0.0
servers:
  - url: https://actionkit.useparagon.com
    description: US Cloud
security: []
paths:
  /projects/{project_id}/triggers/examples:
    post:
      summary: Get Example Payload
      description: >-
        Get example records for a trigger. Use this to preview what an incoming
        event payload could look like.
      operationId: getExamplePayload
      parameters:
        - $ref: '#/components/parameters/ProjectId'
        - $ref: '#/components/parameters/CredentialHeader'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetTriggerExamplesRequest'
            example:
              type: SALESFORCE_TRIGGER_RECORD_CREATED
              integration: salesforce
              parameters:
                recordType: Opportunity
      responses:
        '200':
          description: >-
            Success - Returns array of example records that could be returned
            from the trigger
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  description: Example records that could be returned from the trigger
                  additionalProperties: true
              example:
                - id: 001xx000003DHP0AAO
                  name: Sample Opportunity
                  amount: 50000
                  stage: Prospecting
                  closeDate: '2025-12-31'
      security:
        - BearerAuth: []
components:
  parameters:
    ProjectId:
      name: project_id
      in: path
      required: true
      schema:
        type: string
        description: Your Paragon Project ID
    CredentialHeader:
      name: X-Paragon-Credential
      in: header
      required: false
      schema:
        type: string
        format: uuid
        description: >-
          Specify a credential ID when multiple accounts are connected for the
          same integration
  schemas:
    GetTriggerExamplesRequest:
      type: object
      properties:
        type:
          type: string
          description: >-
            The trigger type identifier (e.g.
            SALESFORCE_TRIGGER_RECORD_CREATED).
          example: SALESFORCE_TRIGGER_RECORD_CREATED
        integration:
          type: string
          description: The integration name for the trigger (e.g. salesforce, hubspot).
          example: salesforce
        parameters:
          type: object
          description: >-
            Trigger configuration parameters, same shape as `parameters` in
            [Subscribe to a
            Trigger](/actionkit/triggers/api-reference/subscribe-to-trigger).
          additionalProperties: true
          example:
            recordType: Opportunity
      required:
        - type
        - integration
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Your [Paragon User
        Token](/getting-started/installing-the-connect-sdk#setup) (JWT), which
        you can generate using your project's signing keys.

````